import { IInjectableServiceProvider } from "../utils/interfaces";
import { Class } from "../utils/types";
declare class Container {
    private static providers;
    private static instantiateService;
    private static findProvider;
    private static isProviderAlreadyRegistered;
    private static addProvider;
    static registerProviders(providers: IInjectableServiceProvider[]): void;
    static resolve<T>(service: Class<T>): T;
}
export { Container };
